<?php
declare(strict_types=1);

namespace App\Framework\Http\Session;

interface SessionInterface
{
    public function getId(): SessionId;
    public function get(string $key, mixed $default = null): mixed;
    public function set(string $key, mixed $value): void;
    public function has(string $key): bool;
    public function remove(string $key): void;
    public function clear(): void;
    public function all(): array;
    public function isStarted(): bool;
    public function regenerate(): void;
}
